import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:gap/gap.dart';
import 'package:tanami_app/core/routes/route_name.dart';
import 'package:tanami_app/core/routes/routes.dart';

import '../../../../../core/styles/app_color.dart';
import '../../../../../core/styles/app_text.dart';
import '../../../../../shared/components/button_widget.dart';
import '../../../../../shared/components/log_out_dialog.dart';

class SettingsBottomSection extends StatelessWidget {
  const SettingsBottomSection({super.key});

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        const Gap(36),
        Container(
          margin: const EdgeInsets.symmetric(
            horizontal: 16,
          ),
          width: 1.sw,
          height: 56.h,
          child: ButtonWidget().elevatedBtn(
            txtClr: AppColor.plainWhite,
            function: () {
              buildprofilelogoutdialog(context);
            },
            text: AppText.logoutText,
            clr: AppColor.primaryColor2,
          ),
        ),
        const Gap(5),
        Container(
          width: 1.sw,
          height: 56.h,
          child: ButtonWidget().textBorderBtn(
            borderClr: AppColor.txtBorderColor,
            txtClr: AppColor.hintTextColor,
            function: () {
              goRouter.pushNamed(RouteName.deleteAccountScreen);
            },
            text: AppText.deleteAccountText,
            clr: AppColor.plainWhite,
          ),
        ),
        const Gap(25),
      ],
    );
  }
}
